module Rubybody

  def self.bmr(weight_in_kg, height_in_cm, age, gender, method)
    case method.to_sym
    when :mifflin_st_jeor
      Formulas::mifflin_st_jeor(weight_in_kg, height_in_cm, age, gender)
    when :harris_benedict
      Formulas::harris_benedict(weight_in_kg, height_in_cm, age, gender)
    else
      raise "ArgumentError"
    end
  end

  def self.tdee(bmr, activity_level)
    Formulas::typical(bmr, activity_level)
  end

end