module Rubybody

  PROTEIN_CALORIES = 4
  CARB_CALORIES = 4
  FAT_CALORIES = 9
  ALCOHOL_CALORIES = 7

 class Food

  attr_accessor :protein_grams, :carb_grams, :fat_grams, :alcohol_grams

  # All nutriments are expressed in grams
  def initialize(protein_grams, carb_grams, fat_grams, alcohol_grams=0)
    self.protein_grams = protein_grams
    self.carb_grams = carb_grams
    self.fat_grams = fat_grams
    self.alcohol_grams = alcohol_grams
  end

  def calories
    return self.protein_grams * PROTEIN_CALORIES + self.carb_grams * CARB_CALORIES + self.fat_grams * FAT_CALORIES + self.alcohol_grams * ALCOHOL_CALORIES
  end

 end

end